{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.hardware.nvidia = {
    enable = mkEnableOption "nvidia hardware config";

    enableOpen = mkOption {
      type = types.bool;
      default = false;
    };

    nvidiaSettings = mkOption {
      type = types.bool;
      default = false;
    };

    enableBeta = mkOption {
      type = types.bool;
      default = false;
    };

    enableNvidiaDocker = mkOption {
      type = types.bool;
      default = false;
    };
  };
}
